MAEFICAPSULE(1)

NAME
mkeficapsule - Generate EFI capsule file for U-Boot

SYNOPSIS
mkeficapsule [options] image-blob capsule-file

DESCRIPTION
mkeficapsule command is used to create an EFI capsule file for use with the U-Boot EFI capsule update. A capsule file may contain various type of firmware blobs which are to be applied to the system and must be placed in the specific directory on the UEFI system partition. An update will be automatically executed at next reboot. Optionally, a capsule file can be signed with a given private key. In this case, the update will be authenticated by verifying the signature before applying. mkeficapsule takes any type of image files, including:

raw image
    format is a single binary blob of any type of firmware.

FIT (Flattened Image Tree) image
    format is the same as used in the new uImage format and allows for multiple binary blobs in a single capsule file. This type of image file can be generated by mkimage.

If you want to use other types than above two, you should explicitly specify a guid for the FMP driver.

OPTIONS
One of --fit, --raw or --guid option must be specified.

-f, --fit
    Indicate that the blob is a FIT image file

-r, --raw
    Indicate that the blob is a raw image file

-g, --guid guid-string
    Specify guid for image blob type. The format is:
        xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx The first three elements are in little endian, while the rest is in big endian.

-i, --index index
    Specify an image index

-I, --instance instance
    Specify a hardware instance

-h, --help
    Print a help message

With signing, --private-key, --certificate and --monotonic-count are all mandatory.

-p, --private-key private-key-file
    Specify signer's private key file in PEM

-c, --certificate certificate-file
    Specify signer's certificate file in EFI certificate list format

-m, --monotonic-count count
    Specify a monotonic count which is set to be monotonically incremented at every firmware update.

-d, --dump_sig
    Dump signature data into *.p7 file

FILES

/EFI/UpdateCapsule
    The directory in which all capsule files be placed

SEE ALSO
mkimage(1)

AUTHORS
Written by AKASHI Takahiro <takahiro.akashi@linaro.org>

HOMEPAGE
http://www.denx.de/wiki/U-Boot/WebHome